Subject: Hackathon (was: Re: The Friday Experiment)

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Mon, 19 Nov 2018 22:17:00 +0000

> -----Original Message-----
> From: ietf <[email-masked]> on behalf of Job Snijders <[email-masked]>
> Date: Tuesday, November 13, 2018 at 6:53 AM
> To: Paul Wouters <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> Subject: Re: The Friday Experiment
> 
> On Tue, Nov 13, 2018 at 09:14:47AM +0700, Paul Wouters wrote:
 > > > On Nov 13, 2018, at 08:58, Lou Berger <[email-masked]> wrote:
 > > > 
 > > >  and do a  hackathon 'prize' award in the IETF plenary.
 > > 
 > > I dislike the “competition” part of the hackathon. The goal is to
 > > write running code. One group is not “better” than another. I wish it
 > > would stop running a “competition” and stop announcing “winners”.
 > 
 > I agree, "Hackathons" shouldn't be viewed as a competition. People work
 > on different projects and all of the projects are to the benefit of us
 > all. It makes no sense to view it in context of 'winning' - how can DNS
 > and TLS compete? We need both.
 > 
 >     https://hackathon.guide/
 > 
 > Kind regards,
 > 
 > Job
   
Sorry for the late follow-up. I took a break after IETF and am catching up now.
The hackathon is not meant to be viewed as competitive. The event info page [1] and wiki[2] call this out.

"It is a collaborative event, not a competition. Any competition is friendly and in the spirit of advancing the pace and relevance of new and evolving internet standards."

I make a point of calling attention to this during the hackathon. The determination and announcement of winners is meant to be fun and to provide a means of distributing swag if/when we have any. The last two hackathons, we experimented with using an online poll to allow hackathon participants to self-select winners. This can easily be gamed, but this was not viewed as an issue given the intended spirit of the hackathon and the lack of emphasis placed on winning. 

Personally, I am fine doing away with the concept of winners entirely, especially if having winners causes people to assume the hackathon is competitive.

Cheers,
Charles

[1] https://www.ietf.org/how/runningcode/hackathons/
[2] https://trac.ietf.org/trac/ietf/meeting/wiki/103hackathon